declare const DistanceUnits: Readonly<{
    METERS: "METERS";
    CENTIMETERS: "CENTIMETERS";
    KILOMETERS: "KILOMETERS";
    FEET: "FEET";
    US_SURVEY_FEET: "US_SURVEY_FEET";
    INCHES: "INCHES";
    YARDS: "YARDS";
    MILES: "MILES";
}>;
declare const AreaUnits: Readonly<{
    SQUARE_METERS: "SQUARE_METERS";
    SQUARE_CENTIMETERS: "SQUARE_CENTIMETERS";
    SQUARE_KILOMETERS: "SQUARE_KILOMETERS";
    SQUARE_FEET: "SQUARE_FEET";
    SQUARE_INCHES: "SQUARE_INCHES";
    SQUARE_YARDS: "SQUARE_YARDS";
    SQUARE_MILES: "SQUARE_MILES";
    ACRES: "ACRES";
    HECTARES: "HECTARES";
}>;
declare const VolumeUnits: Readonly<{
    CUBIC_METERS: "CUBIC_METERS";
    CUBIC_CENTIMETERS: "CUBIC_CENTIMETERS";
    CUBIC_KILOMETERS: "CUBIC_KILOMETERS";
    CUBIC_FEET: "CUBIC_FEET";
    CUBIC_INCHES: "CUBIC_INCHES";
    CUBIC_YARDS: "CUBIC_YARDS";
    CUBIC_MILES: "CUBIC_MILES";
}>;
declare const AngleUnits: Readonly<{
    DEGREES: "DEGREES";
    RADIANS: "RADIANS";
    DEGREES_MINUTES_SECONDS: "DEGREES_MINUTES_SECONDS";
    GRADE: "GRADE";
    RATIO: "RATIO";
}>;
declare class MeasureUnits {
    distanceUnits: string;
    areaUnits: string;
    volumeUnits: string;
    angleUnits: string;
    slopeUnits: string;
    constructor(options?: any);
    static numberToString: (number: any, locale: any, decimals: any) => any;
    static distanceToString(distance: number, distanceUnits: string, locale?: any, decimals?: any): string;
    static areaToString(area: number, areaUnits: string, locale?: any, decimals?: any): string;
    static angleToString(angle: number, angleUnits: string, locale?: any, decimals?: any): string;
    static volumeToString(volume: number, volumeUnits: string, locale?: any, decimals?: any): string;
    static getDistanceUnitSpacing(distanceUnits: string): string;
    static getAreaUnitSpacing(distanceUnits: string): string;
    static getAngleUnitSpacing(angleUnits: string): "" | " ";
    static getVolumeUnitSpacing(distanceUnits: string): string;
    static getDistanceUnitSymbol(distanceUnits: string): "m" | "in" | "cm" | "km" | "ft" | "yd" | "mi";
    static getAreaUnitSymbol(areaUnits: string): "m²" | "cm²" | "km²" | "sq ft" | "sq in" | "sq yd" | "sq mi" | "ac" | "ha";
    static getVolumeUnitSymbol(volumeUnits: any): "m³" | "cm³" | "km³" | "cu ft" | "cu in" | "cu yd" | "cu mi";
    static getAngleUnitSymbol(angleUnits: any): "°" | "rad" | "%";
    static convertDistance(distance: number, distanceUnitsFrom: string, distanceUnitsTo: string): number;
    static convertArea(area: number, areaUnitsFrom: string, areaUnitsTo: string): number;
    static convertVolume(volume: number, volumeUnitsFrom: string, volumeUnitsTo: string): number;
    static convertAngle(angle: number, angleUnitsFrom: string, angleUnitsTo: string): any;
    static longitudeToString(longitude: any, angleUnits: any, locale: any, decimals: any): string;
    static latitudeToString(latitude: any, angleUnits: any, locale: any, decimals: any): string;
}
export default MeasureUnits;
export { DistanceUnits, AreaUnits, VolumeUnits, AngleUnits };
